
QGIS Application - Bug report #869

Grayscale Raster Always Displayed w. Std. Deviations

2007-12-14 12:20 PM - David A- Riggs -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10928

Description

I just installed the test 0.9.1-1 .debs for Gutsy (on Gutsy i386) and note the following problem.

Opening the same [[GeoTIFF]] raster elevation model that I've used for many version of QGIS. The elevation model is displayed as if "Std

Deviations" has been set to some non-zero value. Changing "Std Deviations" has no effect, it seems "stuck" behind the scenes to some

value despite what the UI says. Changing the color map to Pseudocolor or Freak Out works exactly as expected, and the Std Deviations

value works as expected with these color maps.

It appears that Std Deviations is "stuck" on some value when using the Grayscale color map.

History

#1 - 2007-12-14 12:26 PM - David A- Riggs -

Metadata from a file which produces this error:

Driver:

  GTiff

  [[GeoTIFF]]

Dataset Description

  /var/space/gis/raster/elevation/nad83/lake_lynn_pa_wv.tif

AREA_OR_POINT=Area

TIFFTAG_SOFTWARE=IMAGINE TIFF Support Copyright 1991 - 1999 by ERDAS, Inc. All Rights Reserved @(#)$RCSfile: etif.c $ $Revision:

1.11 $ $Date$

TIFFTAG_XRESOLUTION=1

TIFFTAG_YRESOLUTION=1

TIFFTAG_RESOLUTIONUNIT=1 (unitless)

AREA_OR_POINT=Area

TIFFTAG_SOFTWARE=IMAGINE TIFF Support Copyright 1991 - 1999 by ERDAS, Inc. All Rights Reserved @(#)$RCSfile: etif.c $ $Revision:

1.11 $ $Date$

TIFFTAG_XRESOLUTION=1

TIFFTAG_YRESOLUTION=1

TIFFTAG_RESOLUTIONUNIT=1 (unitless)

Dimensions:

  X: 3634 Y: 4672 Bands: 1

No Data Value
  -9999

Data Type:

  GDT_UInt16 - Sixteen bit unsigned integer 

Pyramid overviews:

  X : 907,Y 1166

  X : 452,Y 582

  X : 225,Y 290

  X : 111,Y 144

  X : 54,Y 71

Layer Spatial Reference System: 

  +proj=utm +zone=17 +ellps=GRS80 +datum=NAD83 +units=m +no_defs

Origin:

  596380,4.40076e+06

Pixel Size:

  3,-3

Property  Value

Band      Gray

Band No   1

Min Val   0.0000000000

Max Val   2641.0000000000

Range     2641.0000000000

Mean      1364.1422126351

Sum of squares      8671775615451.3574218750

Standard Deviation  714.6775668741

Sum of all cells    23160471964.9457092285

Cell Count          16978048

#2 - 2007-12-14 12:29 PM - David A- Riggs -

Test files (3m DEM in [[GeoTIFF]] format) here:

ftp://ftp.wvgis.wvu.edu/pub/Clearinghouse/DEM/3m/Tiff

#3 - 2007-12-30 06:19 PM - ersts -

This is because the stretching routines were reintroduced and only partially accepted before being moved to the raster transparency branch. If the raster

branch does not get merged into 0.9.2 I will create a patch to fix this for 0.9.2

#4 - 2008-01-10 11:38 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed
